Subject: Re: [PATCH] MAINTAINERS: remove Felix Fietkau for the Mediatek ethernet driver

From: Russell King - ARM Linux admin <[email-masked]>
Date: Sun, 21 Jun 2020 15:44:37 +0100

On Thu, Feb 20, 2020 at 09:54:44AM +0100, Felix Fietkau wrote:
> On 2020-02-18 21:00, Jakub Kicinski wrote:
> > On Tue, 18 Feb 2020 10:40:01 +0000 Russell King wrote:
> >> Felix's address has been failing for a while now with the following
> >> non-delivery report:
> >> 
> >> This message was created automatically by mail delivery software.
> >> 
> >> A message that you sent could not be delivered to one or more of its
> >> recipients. This is a permanent error. The following address(es) failed:
> >> 
> >>   [email-masked]
> >>     host util-01.infra.openwrt.org [2a03:b0c0:3:d0::175a:2001]
> >>     SMTP error from remote mail server after RCPT TO:<[email-masked]>:
> >>     550 Unrouteable address
> >> 
> >> Let's remove his address from MAINTAINERS.  If a different resolution
> >> is desired, please submit an alternative patch.
> >> 
> >> Signed-off-by: Russell King <[email-masked]>
> >> ---
> >>  MAINTAINERS | 1 -
> >>  1 file changed, 1 deletion(-)
> >> 
> >> diff --git a/MAINTAINERS b/MAINTAINERS
> >> index a0d86490c2c6..82dccd29b24f 100644
> >> --- a/MAINTAINERS
> >> +++ b/MAINTAINERS
> >> @@ -10528,7 +10528,6 @@ F:	drivers/leds/leds-mt6323.c
> >>  F:	Documentation/devicetree/bindings/leds/leds-mt6323.txt
> >>  
> >>  MEDIATEK ETHERNET DRIVER
> >> -M:	Felix Fietkau <[email-masked]>
> >>  M:	John Crispin <[email-masked]>
> >>  M:	Sean Wang <[email-masked]>
> >>  M:	Mark Lee <[email-masked]>
> > 
> > Let's CC Felix, I think he's using [email-masked] these days.
> Yes, my address should simply be changed to [email-masked].
> 
> Thanks,

And _still_, in next-next, four months on, your MAINTAINERS entry is
still incorrect.

Can someone please merge my patch so I'm not confronted by bounces
due to this incorrect entry?  I really don't see why I should be
the one to provide a patch to correct Felix's address - that's for
Felix himself to do, especially as he has already been made aware
of the issue.

-- 
RMK's Patch system: https://www.armlinux.org.uk/developer/patches/
FTTP is here! 40Mbps down 10Mbps up. Decent connectivity at last!